package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class JenisKasusMedicolegalVO extends BaseMasterVO{

	@Column(name="jenisKasus")
	@Caption(value="Jenis Kasus")
	private String jenisKasus;
	
	@Column(name="deskripsiKasus")
	@Caption(value="Deskripsi Kasus")
	private String deskripsiKasus;
	
	@ManyToOne
	@JoinColumn(name = "ObjectPenanggung JawabFk")
	@NotNull(message="Penanggung Jawab tidak boleh kosong")
	@Caption(value="Penanggung Jawab")
	private PegawaiVO pegawai;
	
	@Column(name = "ObjectPenanggungJawabFk", insertable=false,updatable=false,nullable=false)
	private Integer pegawaiId;

	public String getJenisKasus() {
		return jenisKasus;
	}

	public void setJenisKasus(String jenisKasus) {
		this.jenisKasus = jenisKasus;
	}

	public String getDeskripsiKasus() {
		return deskripsiKasus;
	}

	public void setDeskripsiKasus(String deskripsiKasus) {
		this.deskripsiKasus = deskripsiKasus;
	}

	public PegawaiVO getPegawai() {
		return pegawai;
	}

	public void setPegawai(PegawaiVO pegawai) {
		this.pegawai = pegawai;
	}

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}
	
	
}
